#include <iostream>

using namespace std;

int main()
{
    long long int a,b,c;
    long double a1,b1,c1,x,y,z;
    cin >> a >> b >> c;
    a1 = double(a);
    b1 = double(b);
    c1 = double(c);

    while (a1/10 >= 1) {
        a1/=10;
    }

    while (b1/10 >= 1) {
        b1/=10;
    }

    while (c1/10 >= 1) {
        c1/=10;
    }

    x = max(max(a1,b1),c1);

    if (x == a1) {
        x = a;
        y = max(b1,c1);
        if (y == b1) {
            y = b;
            z = c;
        }
        if (y == c1) {
            y = c;
            z = b;
        }
    }

    if (x == b1) {
        x = b;
        y = max(a1,c1);
        if (y == a1) {
           y = a;
           z = c;
        }
        if (y == c1) {
           y = c;
           z = a;
        }
    }

     if (x == c1) {
        x = c;
        y = max(a1,b1);
        if (y == a1) {
            z = b;
            y = a;
        }
        if (y == b1) {
            y = b;
            z = a;
        }
     }



    cout << endl << x << y << z;
    return 0;
}